/**
 * Initialize the web3Provider by providing the URL
 * to the backend.
 * @param newBackendUrl
 * @throws InvalidUrlError
 */
export declare function initialize(newBackendUrl: string): void;
/**
 * Authenticate the user by asking them to sign
 * a message. The web3Provider argument is used
 * to sign the authentication message.
 * This returns a JWT token which should be used
 * for subsequent calls.
 * @param account
 * @param web3Provider
 * @returns JWT Token
 */
export declare function authenticateUser(account: string, web3Provider: any): Promise<string>;
//# sourceMappingURL=index.d.ts.map